Bug 9100 - inet_pton() incorrectly converts some invalid IPv6 address strings containing "::".
Summary: inet_pton() incorrectly converts some invalid IPv6 address strings containing...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-03 18:35 UTC by Wan-Teh Chang
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 14:53:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A test program to reproduce the bug. (1.48 KB, text/plain)
2000-02-03 18:40 UTC, Wan-Teh Chang
no flags Details

Description Wan-Teh Chang 2000-02-03 18:35:02 UTC
The inet_pton() function incorrectly converts some invalid
IPv6 address strings containing the double colon characters (::).
It appears that the problematic address strings are of the
format
    x:x:x:x:x::x:x:x
with exactly eight 16-bit pieces of the address and "::".
The "::" can appear anywhere in the sequence.

When given such an address string, inet_pton() returns 1,
indicating a successful conversion.  The converted binary
address has zeros starting from the location of the "::" till
the end of the binary address.

For example, the input address string
    1:2:3::4:5:6:7:8
is converted to the binary address:
    0001:0002:0003:0000:0000:0000:0000:0000

Comment 1 Wan-Teh Chang 2000-02-03 18:40:59 UTC
Created attachment 89 [details]
A test program to reproduce the bug.

Comment 2 Cristian Gafton 2000-05-22 14:53:59 UTC
assign to jakub

Comment 3 Jakub Jelinek 2000-09-04 13:40:23 UTC
Fixed in glibc-2.1.92


Note You need to log in before you can comment on or make changes to this bug.